=== knotes/noteshared/CMakeLists.txt ===
project(noteshared)

add_subdirectory(src)
if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()
