=== debian/changelog ===
kdepim (4:16.04.3-4~deb9u1) stretch; urgency=high

  * Team upload.

  [ Sandro Knauß ]
  * Fix CVE-2017-9604: Send Later with Delay bypasses OpenPGP (Closes: #864804)
    - Added upstream patch fix-CVE-2017-9604.patch

 -- Sandro Knauß <hefee@debian.org>  Sat, 17 Jun 2017 12:12:03 +0200

kdepim (4:16.04.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Kalarm crash when exit in lxqt" (Closes: #844627)
    - Added backported upstream commit c9bcccb3d05e5433128593638a573980eb3ba308
      fix_crash_on_exit.patch
  * Fix "kalarm crashes after second instance started"(Closes: #844628)
    - Added backported upstream commit d8c5a241747675e767f96da9444c5745430fab62
      fix_crash_when_a_second_instance_of_KAlarm_is_started.patch
  * Fix "konsolekalendar seems to have useless default behaviour"
      (Closes: #402084)
    - Added patch konsolekalendar_help.patch
      Thanks to Tomas Pospisek for the patch
  * Delete unused lintian-override file.
  * Add Multi-Arch hint for kdepim-doc.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 Nov 2016 14:38:49 +0100

kdepim (4:16.04.3-2) unstable; urgency=medium

  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Use the new kf5 dev names, and wrap-and-sort

 -- Maximiliano Curia <maxy@debian.org>  Thu, 20 Oct 2016 11:17:39 +0200

kdepim (4:16.04.3-1) unstable; urgency=medium

  * Add missing runtime dependencies.
    Thanks to Francois Marier for reporting and investigating the issue
    (Closes: 831535)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 21:52:45 +0200

kdepim (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:33:02 +0200

kdepim (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add kdepim-addons as a recommends.
    Thanks to Martin Steigerwald for reporting (Closes: 826746)
  * Bump akonadi-server version dependency.
    Thanks to Diederik de Haas for reporting. (Closes: 826865)
  * Drop obsolete qtquick1 build dependency
  * Drop breaks against libkdepim4 to allow co installabity
  * Bump mailcommon build dependency

  [ Jeremy Bicha ]
  * Drop obsolete build-dependency on link-grammar (Closes: 825715)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 22:50:01 +0200

kdepim (4:16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add missing dependency on akonadi-server.
  * Add missing dependency on kdepim-runtime for kmail.
  * Refresh patches
  * Update build dependencies to follow the package version instead of the libraries soversions.
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing break/replaces (oxygen5-icon-themes)
  * Drop moved away packages
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Update test dependenccies
  * Add missing Breaks/Replaces

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:37:32 +0200
