=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kross-dev (>= 5.19.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5akonadicalendar-dev (>= 15.12~),
               libkf5akonadicontact-dev (>= 4:15.12~),
               libkf5akonadimime-dev (>= 4:15.12~),
               libkf5akonadinotes-dev (>= 4:15.12~),
               libkf5akonadisearch-dev (>= 15.12~),
               libkf5akonadiserver-dev (>= 15.12~),
               libkf5alarmcalendar-dev (>= 15.12~),
               libkf5archive-dev (>= 5.19.0~),
               libkf5auth-dev (>= 5.19.0~),
               libkf5blog-dev (>= 15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5calendarutils-dev (>= 15.12~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5completion-dev (>= 5.16.0~),
               libkf5composereditorng-dev,
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 15.12~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5dnssd-dev (>= 5.19.0~),
               libkf5doctools-dev,
               libkf5eventviews-dev (>= 5.2.0~),
               libkf5followupreminder-dev (>= 5.2.0~),
               libkf5gapi-dev (>= 5.1~),
               libkf5globalaccel-dev (>= 5.19.0~),
               libkf5gpgmepp-dev (>= 15.12~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5gravatar-dev (>= 5.2.0~),
               libkf5holidays-dev (>= 15.12~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5imap-dev (>= 15.12~),
               libkf5incidenceeditor-dev (>= 5.2.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kaddressbookgrantlee-dev (>= 5.2.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               libkf5kdepimdbusinterfaces-dev,
               libkf5kdgantt2-dev (>= 5.2.0~),
               libkf5khtml-dev (>= 5.16.0~),
               libkf5kontactinterface-dev (>= 15.12~),
               libkf5ksieve-dev (>= 5.2.1~),
               libkf5ldap-dev (>= 15.12~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mailcommon-dev (>= 4:16.04.2~),
               libkf5mailimporter-dev (>= 5.2.0~),
               libkf5mailtransport-dev (>= 15.12~),
               libkf5mbox-dev (>= 15.12~),
               libkf5messagecomposer-dev,
               libkf5messagecore-dev (>= 5.2.0~),
               libkf5messagelist-dev,
               libkf5messageviewer-dev (>= 5.2.0~),
               libkf5mime-dev (>= 15.12~),
               libkf5newstuff-dev (>= 5.19.0~),
               libkf5notifyconfig-dev (>= 5.19.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5pimtextedit-dev (>= 15.12~),
               libkf5sendlater-dev,
               libkf5service-dev (>= 5.19.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5syndication-dev (>= 15.12~),
               libkf5templateparser-dev,
               libkf5texteditor-dev (>= 5.19.0~),
               libkf5textwidgets-dev (>= 5.16.0~),
               libkf5tnef-dev (>= 15.12~),
               libkf5wallet-dev (>= 5.19.0~),
               libkf5webkit-dev (>= 5.19.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.16.0~),
               libkf5xmlrpcclient-dev (>= 5.2.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.5.0~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.5.0~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: dblatex
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: accountwizard (>= ${source:Version}),
         akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-runtime,
         kleopatra,
         kmail (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ${misc:Depends}
Recommends: kdepim-addons, kdepim-doc
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Suggests: doc-base, konqueror | www-browser
Breaks: akregator (<< 4:4.14.3),
        blogilo (<< 4:4.14.3),
        kaddressbook (<< 4:4.14.3),
        kalarm (<< 4:4.14.3),
        kjots (<< 4:4.14.3),
        kleopatra (<< 4:4.14.3),
        kmail (<< 4:4.14.3),
        knode (<< 4:4.14.3),
        knotes (<< 4:4.14.3),
        konsolekalendar (<< 4:4.14.3),
        kontact (<< 4:4.14.3),
        korganizer (<< 4:4.14.3),
        ktimetracker (<< 4:4.14.3)
Replaces: akregator (<< 4:4.14.3),
          blogilo (<< 4:4.14.3),
          kaddressbook (<< 4:4.14.3),
          kalarm (<< 4:4.14.3),
          kjots (<< 4:4.14.3),
          kleopatra (<< 4:4.14.3),
          kmail (<< 4:4.14.3),
          knode (<< 4:4.14.3),
          knotes (<< 4:4.14.3),
          konsolekalendar (<< 4:4.14.3),
          kontact (<< 4:4.14.3),
          korganizer (<< 4:4.14.3),
          ktimetracker (<< 4:4.14.3)
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: accountwizard
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:15.07.90~)
Replaces: kdepim-runtime (<< 4:15.07.90~)
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage service
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: akonadi-server (>= 4:16.04),
         kdepim-runtime,
         libkf5akonadisearch-plugins,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: accountwizard,
            gnupg-agent,
            gnupg2,
            kdepim-addons,
            kdepim-doc,
            kdepim-themeeditors,
            ktnef,
            pinentry-qt | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Breaks: libkdepim4 (<< 4:4.13.90),
        libkf5libkdepim5 (<= 4:16.04),
        libkf5messageviewer5 (<= 4:16.04),
        libmessageviewer4 (<< 4:4.13.90)
Replaces: libkdepim4 (<< 4:4.13.90),
          libkf5libkdepim5 (<= 4:16.04),
          libkf5messageviewer5 (<= 4:16.04),
          libmessageviewer4 (<< 4:4.13.90)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Envionments.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: knode (<< 4:4.14.5)
Replaces: knode (<< 4:4.14.5)
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
